## webkitkde 1.3~git20120518.9a111005

=== CMakeLists.txt ===
project(kwebkitpart)

# search packages used by KDE
find_package(KDE4 4.8.3 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


add_subdirectory(icons)
add_subdirectory(src)
add_subdirectory(kdelauncher)

=== kdelauncher/CMakeLists.txt ===
project(kdelauncher)

include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

kde4_add_executable(kdelauncher main.cpp )
target_link_libraries(kdelauncher
    ${QT_QTWEBKIT_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KIO_LIBRARY}
    ${KDE4_KDEWEBKIT_LIBS}
)

=== debian/changelog ===
webkitkde (1.3~git20120518.9a111005-3ubuntu1) trusty-security; urgency=medium

  * SECURITY UPDATE: Insufficient Input Validation By IO Slaves and
    Webkit Part
   - Add upstream_cve-2014-8600.diff to escape protocol twice: once
     for i18n, and once for HTML
   - https://www.kde.org/info/security/advisory-20141113-1.txt
   - CVE-2014-8600
   - LP: #1393479

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Nov 2014 15:56:53 +0100

webkitkde (1.3~git20120518.9a111005-3) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump Build-Depends on kdelibs to 4:4.8.3. Thanks Nobuhiro for noticing!
    (Closes: #684436).

  [ Adrien Grellier ]
  * Backport fix 0821d519 to avoid a crash.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 13 Nov 2012 18:04:15 -0300

webkitkde (1.3~git20120518.9a111005-2) unstable; urgency=low

  * fix dh: Unknown sequence build-stamp (Closes: #679472) 

 -- Adrien Grellier <adrien.grellier@laposte.net>  Fri, 29 Jun 2012 19:01:31 +0200

webkitkde (1.3~git20120518.9a111005-1) unstable; urgency=low

  [ Adrien Grellier ]
  * New Maintainer (Closes: #624448)
  * Correct lintian warnings
  * build with hardening flags
  * Update copyright file.

  [ Raúl Sánchez Siles ]
  * New upstream pre 1.3.
    - Fix "konqueror with webkit and rekonq both crashes in acid3 test at
      about 73/100" (Closes: #629986)
  * Update packaging to debhelper8.
  * Provide debug package.
  * Setting Debian KDE Extras Team as maintainer and adding Adrien and myself
  as uploaders. Thanks Adrian!
  * Update homepage.
  * Improved package description as per Michael Meskes suggestion.
  * Replacing obsolete libkwebkit packages.

  [ Adrian von Bidder ]
  * Drop library package, there's only the kpart anymore;
    conflict with the old libkwebkit-dev (FindKWebKitPart.cmake)

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Wed, 27 Jun 2012 20:46:02 +0200

=== debian/control ===
Source: webkitkde
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
 Raúl Sánchez Siles <rasasi78@gmail.com>,
Build-Depends: cmake, debhelper (>= 9), kdelibs5-dev (>= 4:4.8.3), libqtwebkit-dev, pkg-kde-tools, dpkg-dev (>=1.16.1)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/base/kwebkitpart
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/webkitkde.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/webkitkde.git

Package: kpart-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libkwebkit-dev, libkwebkit1
Replaces: libkwebkit1
Provides: libkwebkit1
Description: WebKit KPart
 This package contains a plug-In for alowing the Konqueror web browser and
 other KDE applications to use the WebKit HTML renderer instead of the
 traditional KHTML.

Package: kpart-webkit-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kpart-webkit (= ${binary:Version})
Conflicts: libkwebkit-dbg
Replaces: libkwebkit-dbg
Provides: libkwebkit-dbg
Description: WebKit KPart - debugging symbols
 This package contains a plug-In for alowing the Konqueror web browser and
 other KDE applications to use the WebKit HTML renderer instead of the
 traditional KHTML.
 .
 This package is part of Webkit KPart.

## webkitkde 1.3.4

=== debian/changelog ===
webkitkde (1.3.4-2) unstable; urgency=medium

  * Team upload.

  [ Adrien Grellier ]
  * SECURITY UPDATE: Insufficient Input Validation By IO Slaves and
    Webkit Part
   - Add upstream_cve-2014-8600.diff to escape protocol twice: once
     for i18n, and once for HTML
   - https://www.kde.org/info/security/advisory-20141113-1.txt
   - CVE-2014-8600
   - LP: #1393479
   Thanks to the Ubuntu Team!

 -- Adrien Grellier <perso@adrieng.fr>  Wed, 10 Dec 2014 18:32:29 +0100

webkitkde (1.3.4-1) unstable; urgency=medium

  * New upstream release 1.3.4
  * Change my email addresse in debian/control 

 -- Adrien Grellier <perso@adrieng.fr>  Tue, 22 Jul 2014 07:26:10 +0200

webkitkde (1.3.2-2) unstable; urgency=low

  * Team upload.

  [ Adrien Grellier ]
  * use canonical URI for VCS-* fields (lintian: vcs-field-not-canonical)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update Standards-Version to 3.9.5, no changes required.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Mar 2014 20:26:23 -0300

webkitkde (1.3.2-1) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump Build-Depends on kdelibs to 4:4.8.3. Thanks Nobuhiro for noticing!
    (Closes: #684436).

  [ Adrien Grellier ]
  * New upstream release (Closes: #687992)
  * Update to Debian policy 3.9.4, no changes needed.

 -- Adrien Grellier <adrien.grellier@laposte.net>  Sun, 07 Apr 2013 18:00:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: webkitkde
 Section: web
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Adrien Grellier <perso@adrieng.fr>,
  Raúl Sánchez Siles <rasasi78@gmail.com>,
 Build-Depends: cmake, debhelper (>= 9), kdelibs5-dev (>= 4:4.8.3), libqtwebkit-dev, pkg-kde-tools, dpkg-dev (>=1.16.1)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/base/kwebkitpart
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/webkitkde.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/webkitkde.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/webkitkde.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/webkitkde.git
 
 Package: kpart-webkit
 Architecture: any

=== debian/rules ===
#! /usr/bin/make -f
#
DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore:.git

export DEB_LDFLAGS_MAINT_APPEND := "-Wl,--as-needed" "-Wl,--no-undefined" "-Wl,-z,defs"

# enable hardening flags:
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
#

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON -DCMAKE_BUILD_TYPE="RelWithDebInfo"

override_dh_install:
	dh_install --autodest --list-missing

%:
	dh $@ --parallel --dbg-package=kpart-webkit-dbg --with kde

.PHONY: override_dh_auto_test
